﻿@using LAP.Areas.Adviser.Models
@model ClientSurveyModel
@{
    bool isMarried = Model.ClientLoginData.ClientData.MaritalStatus == MaritalStatusEnum.Married && Model.ClientLoginData.SpouseData != null && Convert.ToDateTime(Model.ClientLoginData.ClientData.DateOfCurrentMarriage).IsNotEmptyDate();
    IEnumerable<SelectListItem> EmploymentOf = Model.EmploymentOf;
    string ClientName = EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Client).ToString()).Text;
    string SpouseName = isMarried ? EmploymentOf.FirstOrDefault(n => n.Value.ToString() == ((int)ClientTypeEnum.Spouse).ToString()).Text : string.Empty;
    bool ClientStatus = Model.ClientLoginData.RetirementStatuses.Any(m => m.employeeOf == ClientTypeEnum.Client && m.IsActive);
    bool SpouseStatus = Model.ClientLoginData.RetirementStatuses.Any(m => m.employeeOf == ClientTypeEnum.Spouse && m.IsActive);
}
<h3 style="margin-bottom:10px">Retirement Income</h3>
<h4 style="margin-bottom:10px">Status</h4>
<span>In consideration of the information you have provided to us in the previous sections, do you feel you’re on target to reach your desired retirement security?</span>

<div style="width: 100%; display: table;">
    <div style="display: table-row">
        <div style="display: table-cell;">
            <span>@ClientName</span>
            <span class="text-ink">@ClientStatus.BoolToYesNo()</span>
        </div>
    </div>
    @if (isMarried)
    {
        <div style="display: table-row">
            <div style="display: table-cell;">
                <span>@SpouseName</span>
                <span class="text-ink">@SpouseStatus.BoolToYesNo()</span>
            </div>
        </div>
    }
</div>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />
<h4 style="margin-bottom:10px">Income Concerns</h4>
<table class="table-custom">
    <thead>
        <tr>
            <th class="pl-5"></th>
            <th class="text-center">
                @ClientName
            </th>
            @if (isMarried)
            {
                <th class="text-center">@SpouseName</th>
            }
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.ClientLoginData.ClientIncomeConcerns)
        {
            <tr>
                <td class="pl-5">
                    @item.DescriptionItems.itemDesc
                </td>
                <td class="text-center">
                    @item.radioListforClientEnum.GetDisplayName()
                </td>
                @if (isMarried)
                {
                    <td class="text-center">
                        @item.radioListforSpouseEnum.GetDisplayName()
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />
<h4 style="margin-bottom:10px">Expense Concerns</h4>
<table class="table-custom">
    <thead>
        <tr>
            <th class="pl-5"></th>
            <th class="text-center">
                @ClientName
            </th>
            @if (isMarried)
            {
                <th class="text-center">@SpouseName</th>
            }
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.ClientLoginData.ClientExpenseConcern)
        {
            <tr>
                <td class="pl-5">
                    @item.DescriptionItems.itemDesc
                </td>
                <td class="text-center">
                    @item.radioListforClientEnum.GetDisplayName()
                </td>
                @if (isMarried)
                {
                    <td class="text-center">
                        @item.radioListforSpouseEnum.GetDisplayName()
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
<hr style="border-top: 1px solid #23588d;margin-top:30px" />